﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Documents.Excel;

namespace ExportToExcelSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }


        private void Btn_Export_Click(object sender, RoutedEventArgs e)
        {
            SaveFileDialog saveDialog = new SaveFileDialog();
            saveDialog.DefaultExt = "xlsx";
            saveDialog.Filter = "Excel Workbook (.xlsx)|*.xlsx";

            if (saveDialog.ShowDialog().Value)
            {
                try
                {
                    // Create a Workbook object with one Worksheet
                    Workbook workbook = new Workbook();
                    Worksheet worksheet = workbook.Worksheets.Add("Sheet1");
                    workbook.SetCurrentFormat(WorkbookFormat.Excel2007);

                    // Export the xamGrid data to the Workbook object
                    excelExporter.Export(dataGrid, workbook);

                    Stream stream = saveDialog.OpenFile();

                    // Save the file using the Save method of the Workbook object.
                    workbook.Save(stream);
                    stream.Close();
                }
                catch (Exception exc)
                {
                    MessageBox.Show(exc.Message);
                }
            }
        }


        private void excelExporter_ExportEnded(object sender, System.EventArgs e)
        {
            MessageBox.Show("The export to Excel finished.");
        }

    }
}
